Catalist Control Center перезапускает иксы

Автор Dpyud, декабря 30, 2014, 16:13:36

« предыдущая - следующая »

Dpyud

Всем доброго времени суток и с наступающим Новым годом!
Возникла трабла (собственно возникла она сразу после покупки нового ноутбука (т.е. около месяца назад), но я хотел разобраться сам: не удалось):
Смстема Xubuntu 14.04, вывод по видеокарте:
00:01.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Mullins [Radeon APU A6-6200 with R3 Graphics] [1002:9850]
00:01.1 Audio device [0403]: Advanced Micro Devices, Inc. [AMD/ATI] Device [1002:9840]
01:00.0 Display controller [0380]: Advanced Micro Devices, Inc. [AMD/ATI] Sun PRO [Radeon HD 8570A/8570M] [1002:6663]

Собственно, сабж: драйвер работает удовлетворительно (сразу видна разница на фоне открытого драйвера: видео плавнее идет в играх), но при этом, при попытке запустить catalist, перезарускается х-сервер, по крайней мере, я так понял, т.к. оказываюсь перед экраном входа в систему и, после входа, все программы, запущенные ранее уже закрыты.
Пробовал запукать как с админ. правами так и без них, как по значку, так и из терминала; из консоли, как вы понимаете, тоже не запустилось, правда по другой причине.
Следует сказать, что пробовал ставить ч/з "Дополнительные драйверы", а также пробовал ставить драйвер 14.9 в виде ...tar.gz аналогично (в промежутках fglrx удалял и старался вычистить, да и, полагаю, остатки драйвера другой версии не причем, так как эта история пошла сразу после установки системы).
Пробовал подбрать драйвер здесь http://support.amd.com/en-us/download нашёлся 14.4, его пробовал ставить как deb: пишет невозможно разрешить зависимость fglrx-core; пробовал в виде ...tar.gz (и компилить и ставить сразу, и компилить в deb (при этом fglrx-core.deb появился после компиляции), а потом их ставить), результат: установка так и не пошла.
К слову, на 17 минте драйвер из "Дополнительные драйверы" ставился, однако каталист хоть и запускался, но работал некорректно.

Резюмируя: драйвер работает, но надстройка по его настройке грубо отказывается запускаться. Посоветуйте, пожалуйста, в каком направлении копать.

P.S.: Мне, в общем-то, каталиста надо один раз запустить, чтобы глобально покрутить настройки графики в играх и настройки масштабирования экрана. Может извратиться и попробовать запустить его в отдельном иске?  :smile:

denkin

Dpyud, модельку бы ноута?

и еще - если каталист в терминале запускать, чего говорит?

Dpyud

Моделька: Dell Inspiron 15, 3000 series.
Насчет терминала: пробовал - аналогично вылет  :sad:

denkin

Цитата: Dpyud от декабря 30, 2014, 22:35:39
Моделька: Dell Inspiron 15, 3000 series.
когда я пытаюсь искать по этим данным - получаю сколько угодно и чего угодно - это целый модельный ряд.

Dpyud

За коробкой пришлось слазить: model: Inspiron 3541, model#: 3541-9141  :smile:

butjapka

Цитата: Dpyud от декабря 31, 2014, 05:28:48
За коробкой пришлось слазить: model: Inspiron 3541, model#: 3541-9141  :smile:

лучше так, терминале выполните
sudo apt-get install inxi
затем
inxi -v5
и то что выведет по команде скопируйте сюда

Dpyud

января 01, 2015, 09:59:35 #6 Последнее редактирование: января 01, 2015, 10:07:08 от Dpyud
Вывод после: inxi -v5
System:    Host: AtoN Kernel: 3.13.0-43-generic i686 (32 bit, gcc: 4.8.2)
           Desktop: Xfce 4.11.6 (Gtk 2.24.23) Distro: Ubuntu 14.04 trusty
Machine:   Mobo: Dell model: Inspiron 3541 version: A01 Bios: Dell version: A01 date: 04/28/2014
CPU:       Quad core AMD A4-6210 APU with AMD Radeon R3 Graphics (-MCP-) cache: 8192 KB flags: (lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm) bmips: 14372.5
           Clock Speeds: 1: 1796.560 MHz 2: 1796.560 MHz 3: 1796.560 MHz 4: 1796.560 MHz
Graphics:  Card: Advanced Micro Devices [AMD/ATI] Mullins [Radeon APU A6-6200 with R3 Graphics] bus-ID: 00:01.0
           X.Org: 1.15.1 driver: fglrx Resolution: 1366x768@60.0hz
           GLX Renderer: AMD Radeon R3 Graphics GLX Version: 4.3.12798 - CPC 13.35.1005 Direct Rendering: Yes
Audio:     Card-1: Advanced Micro Devices [AMD] FCH Azalia Controller driver: snd_hda_intel bus-ID: 00:14.2
           Card-2: Advanced Micro Devices [AMD/ATI] Device 9840 driver: snd_hda_intel bus-ID: 00:01.1
           Sound: Advanced Linux Sound Architecture ver: k3.13.0-43-generic
Network:   Card-1: Realtek RTL8101E/RTL8102E PCI Express Fast Ethernet controller
           driver: r8169 ver: 2.3LK-NAPI port: d000 bus-ID: 02:00.0
           IF: eth0 state: up speed: 100 Mbps duplex: full mac: b8:2a:72:b2:a5:9b
           Card-2: Qualcomm Atheros QCA9565 / AR9565 Wireless Network Adapter driver: ath9k bus-ID: 03:00.0
           IF: wlan0 state: down mac: 64:5a:04:76:0c:e2
           Card-3: Atheros usb-ID: 002-006
           IF: N/A state: N/A speed: N/A duplex: N/A mac: N/A
Drives:    HDD Total Size: 500.1GB (69.8% used) 1: id: /dev/sda model: TOSHIBA_MQ01ABF0 size: 500.1GB temp: 36C
           Optical: /dev/sr0 model: N/A rev: N/A dev-links: cdrom
Partition: ID: / size: 101G used: 63G (66%) fs: ext4 dev: /dev/sda1
           label: N/A uuid: 8419a80b-c575-411b-9b60-06f5038af91d
           ID: swap-1 size: 2.15GB used: 0.00GB (0%) fs: swap dev: /dev/sda2
           label: N/A uuid: 9ba6b15b-0614-4e64-bc80-23ddaab7451d
RAID:      No RAID devices detected - /proc/mdstat and md_mod kernel raid module present
Sensors:   None detected - is lm-sensors installed and configured?
Info:      Processes: 184 Uptime: 1 day Memory: 1062.7/3448.3MB Runlevel: 2 Gcc sys: 4.8.2
           Client: Shell (bash 4.3.11) inxi: 1.9.17

К слову по номеру модели поискал информацию: вроде видеокарта: AMD Radeon R5 M230
На вышеуказанном ресурсе ( http://support.amd.com/en-us/download ) мне подошел драйвер 14.12, однако он также не встал  :sad:
Пока поставил дравер из "Дополнительные драйверы":т.е. ситуация без изменений.

Dpyud

января 31, 2015, 14:09:33 #7 Последнее редактирование: января 31, 2015, 14:19:36 от Dpyud
Доброго времени суток! По данной теме появились новые вводные данные, хотя решения пока не нашел, по-прежнему.
Попробовал поставить Ubuntu 14.04, на ней проприетарный драйвер также подхватился и заработал, однако, каталист запустился-таки (на Xubuntu 14.04 при его запуске сами иксы перезапускались). Стали доступны некоторые настройки графики (не факт, правда, что действующие  :sad:), кроме настроек масштабирования, к которым уже привык; меню с этими настройками [масштабирования] просто отсутствует:
[spoiler][/spoiler]
Видеокарта, как видно из скрина, обозвана неизвестным дисплеем, а также ей присвоена неверная серия и номер. Очевидно драйвер не совсем подходит, т.е. видяха либо новее, либо старее чем требуется (драйверу) :smile: .
К слову, пробовал ставить Ubuntu 14.10: на ней с открытым драйвером производительность была ничуть не хуже, чем сейчас с проприетарщиной (еще бы доступ к настройкам видяшки!), но проприетащина не поставилась, ссылаясь на неразрешимые зависимости. Однако, "утопический единорог" изволил перезагружаться по собственному желанию (независимо от моего), что, конечно, от него [единорога] оттолкнуло. Сейчас поставил скачиваться Xubuntu 14.10: хочу посмотреть, что там будет.
Может у кого есть мысли по этому поводу. Видяха и Бунта никак не хотят подружиться!  :sad:
На предыдущем ноуте я такими вещами не заморачивался: там и открытый, и проприетарный драйверы ставились и работали легко и надежно, хотя и тоже amd.

Dpyud

Свершилось! На Xubuntu 14.10 драйвер и надстройка  встали замечательно, вроде все работает. Осталось саму сборку посмотреть  :smile: .

Dpyud

Рановато я обрадовался ...
Дело в том, что проприетарщину ставил из-под live-usb, так как не хотел настроенную ОС сносить (разумеется в unetbootin предварительно выставил память для сохранения файлов после перезагрузки, благо флэшка позволила). Комичность ситуации в том, что из-под live-usb все встало и заработало, а сейчас (после установки) оно ругается:
Пакеты, имеющие неудовлетворённые зависимости:
fglrx : Зависит: fglrx-core но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

Как это возможно?
Может ли быть собака зарыта в том, что проприетарщину начал ставить после установки обновлений?

Dpyud

февраля 06, 2015, 18:40:02 #10 Последнее редактирование: февраля 06, 2015, 18:41:57 от Dpyud
Попробовал ставить каталиста сразу после установки Xubuntu 14.10, драйвер встал и заработал просто замечательно, но после установки следующего ПО:
sudo apt-get install clamav clamav-daemon uget ubuntu-restricted-extras dconf-tools preload yd-tools wine playonlinux fortunes-ru unetbootin winff dvdstyler pinta gparted clamtk gufw audacity avidemux gfceu hedgewars gbrainy kpat gimp gnome-commander vlc  pidgin synaptic gnome-font-viewer skype screenlets-pack-all screenlets compiz metacity virtualbox-qt libreoffice minetest gnash xfce4-clipman-plugin usb-creator-gtk
в "Дополнительные драйверы" отобразилось, что используется открытый драйвер, установить проприетарный повторно не поулчилось (как и раньше), а после перезагрузки и вовсе меня встретил "дружелюбный" черный экран.
Другими словами, моя попытка самостоятельно найти решение - опять безрезультатна. Если у кого-то есть идеи: какое ПО конфликтует с драйвером, мне это очень помогло бы ... Заранее спасибо!  :smile: